/* You can add global styles to this file, and also import other style files */

/* regular style toast  */
@import "~@angular/material/prebuilt-themes/indigo-pink.css";
@import "~ngx-toastr/toastr.css";
@import "./assets/scss/main.scss";

$color_1: red;
$color_2: #6c7178;
$color_3: #007bff;
$font_family_1: Roboto, "Helvetica Neue", sans-serif;
$background_color_1: #007bff;
$background_color_2: #fff;

html {
  height: 100%;
  scroll-behavior: smooth;
}
body {
  height: 100%;
  margin: 0;
  font-family: $font_family_1;
}
.container-fluid {
  // height: 100%;
}

/* CSS for navbar */
.navbar-nav {
  height: 100%;
}

/* Panel */
.panel {
  padding: 20px 0px 20px 0px;
}

/* Start of Tabs */
.prospect-panel tabset ul {
  padding: 15px 15px 0px 15px !important;
  background-color: rgba(0, 0, 0, 0.03);
}

.submission-panel {
  tabset ul {
    background-color: aliceblue;
  }
}
/* End of Tabs */

/* Start of CSS for form */
form.user {
  .form-control-user {
    border-radius: 0rem;
  }
}

label {
  font-weight: 700;
  font-size: 0.85rem;
  color: #8f9bb3;
  margin-bottom: 0.3rem;
  font-family: Open Sans, sans-serif !important;
}

sup {
  color: $color_1;
}

.form-control {
  background-color: #f7f9fc !important;
  color: #1a2138;
}

::placeholder {
  color: #ada8a8 !important;
  opacity: 1; /* Firefox */
  font-size: 13px;
}

.error-msg {
  color: $color_1;
  font-size: 13px;
}

.input-sm {
  line-height: 1.5;
  height: 31px;
}

// flex form
.form-group {
  display: flex;
  flex-direction: row;
  flex-wrap: wrap;
  justify-content: flex-start;
}

.flex-item {
  flex: 1;
  margin-right: 15px;
  margin-left: 15px;
}

.upload-control {
  width: 100%;
}

@media (max-width: 625px) {
  .form-group {
    flex-direction: column;
  }
  .flex-item {
    flex: 1;
    margin-bottom: 10px;
  }
}
/* End of CSS for form */

/* Start of Form Array */
.increment-form-array__icon {
  display: flex;
  justify-content: flex-end;
  cursor: pointer;
  padding: 10px;
}

.center-action-content {
  display: flex;
  justify-content: center;
  flex-direction: column;
  text-align: center;
}
/* End of Form Array */

/* Buttons */
.btn {
  cursor: pointer;
}
.cursor-pointer {
  cursor: pointer;
}

/* Dashboard Date & Time */
.date-time {
  color: $color_2;
  font-size: 13px;
}

/* Table */
.table {
  color: #3a4145;
}

tfoot {
  td {
    text-align: center;
  }
}
.pull-right {
  float: right;
}
.mat-horizontal-stepper-header-container {
  margin-bottom: 20px;
}

/* Date Picker */
.theme-default {
  .bs-datepicker-head {
    background-color: $background_color_1;
  }
  .bs-datepicker-body {
    table {
      td {
        span.selected {
          background-color: $background_color_1;
        }
      }
      td.week {
        span {
          color: $color_3;
        }
      }
    }
  }
}

/* Field Set */
fieldset {
  border: 1px solid #ddd !important;
  padding: 0 1.4em 1.4em 1.4em !important;
  margin: 0 0 1.5em 0 !important;
  -webkit-box-shadow: 0px 0px 0px 0px #000;
  box-shadow: 0px 0px 0px 0px #000;
  background-color: $background_color_2;
}

legend {
  font-size: 1.2em !important;
  font-weight: bold !important;
  text-align: left !important;
  width: 100%;
  background-color: #4891ec;
  border: 1px solid #e2e2e2;
  padding: 10px 20px;
  border-radius: 0.25rem;
  color: #fff;
}

@media (max-width: 425px) {
  fieldset {
    margin: 0px !important;
    padding: 10px 0px !important;
  }
}

/* breadcrumbs */
breadcrumb {
  .fluid-bread {
    background-color: inherit;
  }

  .container-fluid {
    height: unset;
    margin-left: 0px;
    margin-right: 0px;
    padding: 0px;
    margin-bottom: 1rem;
  }

  .container {
    margin-left: 0px;
    margin-right: 0px;
    padding: 0px;
  }

  .breadcrumb {
    background-color: inherit;
    display: flex;
    justify-content: flex-start;
  }
}
